package com.ruoyi.szxc.mapper;

import com.ruoyi.szxc.domain.SzxcPublicActivily;
import org.apache.ibatis.annotations.MapKey;

import java.util.List;
import java.util.Map;

/**
 * 公益活动Mapper接口
 * 
 * @author hs
 * @date 2024-03-20
 */
public interface SzxcPublicActivilyMapper 
{
    /**
     * 查询公益活动
     * 
     * @param id 公益活动主键
     * @return 公益活动
     */
    public SzxcPublicActivily selectSzxcPublicActivilyById(Long id);

    /**
     * 查询公益活动列表
     * 
     * @param szxcPublicActivily 公益活动
     * @return 公益活动集合
     */
    public List<SzxcPublicActivily> selectSzxcPublicActivilyList(SzxcPublicActivily szxcPublicActivily);

    /**
     * 新增公益活动
     * 
     * @param szxcPublicActivily 公益活动
     * @return 结果
     */
    public int insertSzxcPublicActivily(SzxcPublicActivily szxcPublicActivily);

    /**
     * 修改公益活动
     * 
     * @param szxcPublicActivily 公益活动
     * @return 结果
     */
    public int updateSzxcPublicActivily(SzxcPublicActivily szxcPublicActivily);

    /**
     * 删除公益活动
     * 
     * @param id 公益活动主键
     * @return 结果
     */
    public int deleteSzxcPublicActivilyById(Long id);

    /**
     * 批量删除公益活动
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSzxcPublicActivilyByIds(Long[] ids);
    @MapKey("")
    List<Map<String, Object>> getActiveData();
}
